Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Image lazy loading: Lazysizes is not using #1004

Open
khempenius opened this issue Jun 13, 2019 · 2 comments

Comments

@khempenius
Copy link
Contributor

commented Jun 13, 2019

It was reported that LazySizes is not using Intersection Observer.

Relevant web.dev content: https://web.dev/use-lazysizes-to-lazyload-images/

Context: https://twitter.com/serulux/status/1139163944311017473

@khempenius khempenius added the bug label Jun 13, 2019

@khempenius khempenius self-assigned this Jun 13, 2019

@robdodson robdodson added p3 p2 and removed p3 labels Jun 14, 2019

@addyosmani addyosmani added the fast label Jun 20, 2019

@addyosmani

This comment has been minimized.

Copy link
Member

commented Jun 20, 2019

This is correct. My understanding is you have to use https://github.com/aFarkas/lazysizes/blob/gh-pages/src/lazysizes-intersection.js for IO support

@serulux

This comment has been minimized.

Copy link

commented Jun 21, 2019

Hi Addy,

I recently asked the library's author about the use of IO and yes, the answer was that you need to user that version (see thread: aFarkas/lazysizes#263 (comment)).

There are quite a few Google's pages where is said that Lazysizes uses IO, without clarifying that is not part of the main file,. I think that can be confusing.

Thanks.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.